package com.pine.admin.modules.business.service.impl;


import com.pine.admin.modules.business.entity.Order;
import com.pine.admin.modules.business.service.OrderService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;

/**
 * com.pine.admin.modules.business.service.impl
 *
 * @author Pine
 * @email 771190883@qq.com
 * @date 2019/10/14
 */
@RunWith(SpringRunner.class)
@SpringBootTest
public class OrderServiceImplTest {

    @Autowired
    private OrderService orderService;

    @Test
    public void queryOrder(){
        Order byId = orderService.getById("3694");
    }
    @Test
    public void queryAll(){
        List<Order> allList = orderService.getAllList(null);
        allList.stream().forEach(o ->{
            orderService.FullOrderInfo(o);
        });

    }
}
